# SCRIPT NAME:
# .config/compton/compton.conf
#
# AUTHOR:
# Severin Kaderli <severin@kaderli.dev>
#
# DESCRIPTION:
# This is my compton configuration.
#
# USAGE:
# This file is automatically used by compton.

# Settings opacity rules
opacity-rule = [
    "75:class_g = 'Nemo'",
    "75:class_g = 'Thunar'",
    "75:class_g = 'Rofi'"
];

# Shadows
shadow = false;
shadow-exclude = [
    "name = 'Polybar tray window'",
    "class_g = 'Polybar'"
]

blur:
{
    method = "dual_kawase";
    strength = 5;
    background = false;
    background-frame = false;
    background-fixed = false;
};

corner-radius = 0;

# Performance improvements
unredir-if-possible = true;
backend = "glx";
glx-no-stencil = true;
glx-copy-from-front = false;
vsync = true;
xrender-sync-fence = true;